Resource

Status Page Private User

Manage private users on your status page

The Status Page Private User Model

Properties

  • Name
    _id
    Type
    Object ID
    Description

    ID of this object

  • Name
    createdAt
    Type
    Date
    Description

    Date and Time when the object was created.

  • Name
    updatedAt
    Type
    Date
    Description

    Date and Time when the object was updated.

  • Name
    project
    Type
    Project
    Description

    Relation to Project Resource in which this object belongs

  • Name
    projectId
    Type
    Object IDRequired
    Description

    ID of your Project in which this object belongs

  • Name
    statusPage
    Type
    Status Page
    Description

    Relation to Status Page Resource in which this object belongs

  • Name
    statusPageId
    Type
    Object IDRequired
    Description

    ID of your Status Page resource where this object belongs

  • Name
    email
    Type
    Email
    Description

  • Name
    password
    Type
    Hashed String
    Description

  • Name
    createdByUser
    Type
    User
    Description

    Relation to User who created this object (if this object was created by a User)

  • Name
    createdByUserId
    Type
    Object ID
    Description

    User ID who created this object (if this object was created by a User)

  • Name
    isSsoUser
    Type
    Boolean
    Description

    Did this user sign up via SSO?

GETorPOST/api/status-page-private-user/get-list

List

This endpoint allows you to retrieve a paginated list of all your Status Page Private User. By default, a maximum of ten Status Page Private User are shown per page.

Optional Query Params

  • limit
    number
    Number of objects to fetch. By default 10, you can increase this count up to 100
  • skip
    number
    Number of objects to skip. This can be useful in pagination

Optional Request Body

List Request

POST
/api/status-page-private-user/get-list?skip=0&limit=10
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "statusPageId": true,
    "_id": true,
    "createdAt": true,
    "createdByUser": true
  },
  "query": {},
  "sort": {
    "createdAt": -1
  }
}

Response

{
  "count": 10,
  "limit": 10,
  "skip": 0,
  "data": [
    {
      "_id": "377cb540-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    },
    {
      "_id": "377cb541-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    },
    {
      "_id": "377cb542-28fe-11f1-b591-3fdcef396aba",
      "projectId": "550e8400-e29b-41d4-a716-446655440000",
      "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
      "createdAt": "2024-01-15T10:30:00.000Z",
      "createdByUser": "Example created by user"
    }
  ]
}
GETorPOST/api/status-page-private-user/:id/get-item

Get item by ID

This endpoint allows you to retrieve Status Page Private User by ID.

  • id
    text
    ID of the Object

Optional Request Body

Get Item Request

POST
/api/status-page-private-user/:id/get-item
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "select": {
    "projectId": true,
    "statusPageId": true,
    "_id": true,
    "createdAt": true,
    "createdByUser": true
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "createdByUser": "Example created by user"
}
POST/api/status-page-private-user/count

Count

This endpoint allows you to retrieve the count of all your Status Page Private User.

Optional Request Body

Count Request

POST
/api/status-page-private-user/count
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "query": {}
}

Response

{
  "count": 107
}
POST/api/status-page-private-user

Create Status Page Private User

This endpoint allows you to create a new object.

Create Request

POST
/api/status-page-private-user
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "projectId": "550e8400-e29b-41d4-a716-446655440000",
    "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
    "createdByUser": "Example created by user",
    "createdByUserId": "550e8400-e29b-41d4-a716-446655440000",
    "email": "user@example.com"
  }
}

Response

{
  "_id": "550e8400-e29b-41d4-a716-446655440000",
  "projectId": "550e8400-e29b-41d4-a716-446655440000",
  "statusPageId": "550e8400-e29b-41d4-a716-446655440000",
  "createdAt": "2024-01-15T10:30:00.000Z",
  "createdByUser": "Example created by user"
}
PUT/api/status-page-private-user/:id

Update by ID

This endpoint allows you to update object by its ID.

Alternative Methods

For clients that do not support PUT requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-private-user/:id/update-item
GET/api/status-page-private-user/:id/update-item

Update Request

PUT
/api/status-page-private-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY
Body
{
  "data": {
    "email": "user@example.com",
    "password": "Example password"
  }
}

Response

{}
DELETE/api/status-page-private-user/:id

Delete by ID

This endpoint allows you to delete object by its ID.

Alternative Methods

For clients that do not support DELETE requests, you can use POST or GET with the same request headers and body:

POST/api/status-page-private-user/:id/delete-item
GET/api/status-page-private-user/:id/delete-item

Delete Request

DELETE
/api/status-page-private-user/:id
Headers
Content-Type: application/json
ApiKey: YOUR_API_KEY

Response

{}

Permissions

Your API Token needs permissions to create, update, read or delete this resource. If you do not have permissions to make a request a 4xx status will be sent as response.

Read Permissions

Required to read Status Page Private User

  • Project Owner
  • Project Admin
  • Project Member
  • Read Status Page Private User
  • Read All Project Resources

Create Permissions

Required to create Status Page Private User

  • Project Owner
  • Project Admin
  • Project Member
  • Create Status Page Private User

Update Permissions

Required to update Status Page Private User

  • Project Owner
  • Project Admin
  • Project Member
  • Edit Status Page PrivateUser

Delete Permissions

Required to delete Status Page Private User

  • Project Owner
  • Project Admin
  • Project Member
  • Delete Status Page PrivateUser